Bug 70074 - append="mem=512M" statement in lilo causes updated kernel 2.4.9-34 and 2.4.9-34smp to hang on boot
append="mem=512M" statement in lilo causes updated kernel 2.4.9-34 and 2.4.9-...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-29 21:00 EDT by Howard W. Nicholson
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-30 03:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Howard W. Nicholson 2002-07-29 21:00:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-34smp i686)

Description of problem:
On my gateway 500MHz dual processor pc with 512MB of ram, the lilo statement
append="mem=512M" causes the updated kernel 2.4.9-34 and 2.4.9-34smp to hang
right after decompression.  The same problem is observed if either kernel is
booted
with the mem=512M option without the append statement in lilo.  I have also seen
this
problem with kernel version 2.4.9-31 on my machine.  Kernel versions 2.4.7-10
and
2.4.7-10smp do NOT have this problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot machine with either the append="mem=512M" statement in lilo or with the
kernel argument mem-512M
2.
3.
	

Additional info:
Comment 1 Arjan van de Ven 2002-07-30 03:41:56 EDT
why would you pass the mem= parameter?
also be aware that if you have 512Mb ram it's not uncommon for the bios to "use"
1 mb so effective you have 511Mb...

Note You need to log in before you can comment on or make changes to this bug.